cURL
curl --request POST \ --url https://api.starleads.co/Dataset \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --data ' { "name": "My Knowledge Base", "description": "Customer support documents", "chunkMethod": "naive", "parserConfig": { "chunkTokenNum": 256, "layoutRecognize": true } } '
{ "id": "ds_abc123", "name": "My Knowledge Base", "description": "Customer support documents", "chunkMethod": "naive", "parserConfig": { "chunkTokenNum": 256, "layoutRecognize": true }, "createdAt": "2026-04-15T10:30:00Z" }
Creates a new dataset for storing and organizing documents used by the RAG (Retrieval-Augmented Generation) knowledge base.
Api key to pass as a X-Api-Key request header.
X-Api-Key
Request payload to create a new dataset
Dataset name
255
Dataset description
Chunking method identifier
Configuration options for dataset document parsing
Show child attributes
Dataset created successfully
Public representation of a dataset
Dataset identifier
Creation timestamp